Comment out the CDROM entry in the installed system's sources.list.
The installation ISO is not generally present in the virtual CDROM
while the guest is running, so this entry is nonfunctional.
Removing it causes the L1 HVM guest VM to use the http entry instead.
The result is that now `apt-get' works in the guest.
Signed-off-by: Robert Ho <robert.hu@intel.com>
Signed-off-by: Ian Jackson <ian.jackson@eu.citrix.com>
mkdir -p \$b/boot
cp \$b/debian/grubx64.efi \$b/boot/bootx64.efi
fi
+END
+
+preseed_hook_command($gho, 'late_command', '', <<END);
+#!/bin/sh
+set -ex
+
+in-target sed -i 's/^deb *cdrom/#&/g' /etc/apt/sources.list
END
$preseed_file .= preseed_hook_cmds();